Search documentation of megaco

# View Source megaco_digit_map (megaco v4.6)

Digit Map utility module.

This is a Digit Map utility module (types).

## Version note

This module has existed in the megaco app for long time, but as of 27.0, its also documented.

# Summary

## Types

cancel()

`$z | $Z | cancel`

event()
kind()
letter()

`$0..$9 | $a..$k | $A..$K`

one_second()

`$s | $S`

pause()
ten_seconds()

`$l | $L`

value()

# Types

Link to this type

# cancel()

View Source (since OTP 27.0)

    -type cancel() :: $z | $Z | cancel.

`$z | $Z | cancel`

Link to this type

# event()

View Source (since OTP 27.0)

    -type event() :: letter() | pause() | cancel().

Link to this type

# kind()

View Source (since OTP 27.0)

    -type kind() :: full | unambiguous.

Link to this type

# letter()

View Source (since OTP 27.0)

    -type letter() :: $0..$9 | $a..$k | $A..$K.

`$0..$9 | $a..$k | $A..$K`

Link to this type

# one_second()

View Source (since OTP 27.0)

    -type one_second() :: $s | $S.

`$s | $S`

Link to this type

# pause()

View Source (since OTP 27.0)

    -type pause() :: one_second() | ten_seconds().

Link to this type

# ten_seconds()

View Source (since OTP 27.0)

    -type ten_seconds() :: $l | $L.

`$l | $L`

Link to this type

# value()

View Source (since OTP 27.0)

    -type value() ::
              #'DigitMapValue'{startTimer :: term(),
                               shortTimer :: term(),
                               longTimer :: term(),
                               digitMapBody :: term(),
                               durationTimer :: term()}.